Subject: Re: [bug#29468] [PATCH 1/2] services: desktop: Create /var/run/udisks2 for the udisks service.

From: Christopher Baines <[email-masked]>
Date: Mon, 27 Nov 2017 19:29:18 +0000

Ludovic Courtès writes:

> Christopher Baines <[email-masked]> skribis:
>
>> * gnu/services/desktop.scm (%udisks-activation): New variable.
>>   (udisks-service-type)[extensions]: Extend the activation service type with
>>   %udisks-activation.
>
> What was the effect of lacking /var/run/udisks2?  Perhaps add a comment
> explaining what it’s used for.
>
> If it fixes something, fine with me!  :-)

Not quite sure, I don't know anything about udisks. I did write down the
error I got though...

  Cannot create directory /var/run/udisks2/block-format-tos-A9rUrL

  No such file or directory:

I've had a quick look, but haven't found anything documenting this
requirement.

I'll go ahead and push this, hopefully it can be clarified in the
future.

Thanks for reviewing,

Chris